Name:           perl-CPAN-Perl-Releases
Version:        2.36
Release:        1%{?dist}
Summary:        Mapping Perl releases on CPAN to the location of the tarballs
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Perl-Releases/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/CPAN-Perl-Releases-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(vars)
# Tests only
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%{?perl_default_filter}

%description
CPAN::Perl::Releases is a module that contains the mappings of all perl
releases that have been uploaded to CPAN to the authors/id/ path that the
tarballs reside in.

%prep
%setup -q -n CPAN-Perl-Releases-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Sep 15 2015 Petr Šabata <contyk@redhat.com> - 2.36-1
- 2.36 bump, updated for v5.20.3

* Mon Aug 31 2015 Petr Šabata <contyk@redhat.com> - 2.34-1
- 2.34 bump, updated for v5.20.3-RC2

* Mon Aug 24 2015 Petr Šabata <contyk@redhat.com> - 2.32-1
- 2.32 bump, updated for v5.20.3-RC1 and v5.23.2

* Tue Jul 21 2015 Petr Šabata <contyk@redhat.com> - 2.28-1
- 2.28 bump, updated for v5.23.1

* Tue Jun 30 2015 Petr Šabata <contyk@redhat.com> - 2.26-1
- 2.26 bump

* Mon Jun 22 2015 Petr Šabata <contyk@redhat.com> - 2.24-1
- 2.24 bump, updated for v5.23.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.22-2
- Perl 5.22 rebuild

* Tue Jun 02 2015 Petr Šabata <contyk@redhat.com> - 2.22-1
- 2.22 bump, updated for v5.22.0

* Mon May 25 2015 Petr Šabata <contyk@redhat.com> - 2.18-1
- 2.18 bump, updated for v5.22.0-rc2

* Wed May 20 2015 Petr Šabata <contyk@redhat.com> - 2.16-1
- 2.16 bump, updated for v5.22.0-rc1

* Tue Apr 21 2015 Petr Šabata <contyk@redhat.com> - 2.14-1
- 2.14 bump, updated for v5.21.11

* Mon Mar 23 2015 Petr Šabata <contyk@redhat.com> - 2.12-1
- 2.12 bump, updated for v5.21.10

* Thu Mar 19 2015 Petr Šabata <contyk@redhat.com> - 2.10-1
- 2.10 bump, updated for v5.21.9

* Tue Feb 17 2015 Petr Šabata <contyk@redhat.com> - 2.08-1
- 2.08 bump, updated for v5.20.2

* Tue Feb 03 2015 Petr Šabata <contyk@redhat.com> - 2.06-1
- 2.06 bump, updates for v5.20.2-rc1 and v5.21.8

* Fri Jan 02 2015 Petr Šabata <contyk@redhat.com> - 2.02-1
- 2.02 bump, updates for v5.21.7

* Wed Dec 10 2014 Petr Šabata <contyk@redhat.com> - 2.00-1
- 2.00 bump, add XZ tarballs

* Tue Nov 25 2014 Petr Šabata <contyk@redhat.com> - 1.98-1
- 1.96 bump, updates for v5.21.6

* Wed Nov 12 2014 Petr Šabata <contyk@redhat.com> - 1.96-1
- 1.96 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.32-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 10 2013 Iain Arnell <iarnell@gmail.com> 1.32-1
- update to latest upstream version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Petr Pisar <ppisar@redhat.com> - 0.94-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> 0.94-1
- update to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 04 2013 Iain Arnell <iarnell@gmail.com> 0.92-1
- update to latest upstream version

* Fri Oct 19 2012 Iain Arnell <iarnell@gmail.com> 0.76-1
- update to latest upstream version

* Fri Sep 07 2012 Iain Arnell <iarnell@gmail.com> 0.68-1
- update to latest upstream version

* Sat Aug 18 2012 Iain Arnell <iarnell@gmail.com> 0.66-1
- update to latest upstream version

* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> 0.62-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.58-2
- Perl 5.16 rebuild

* Tue May 29 2012 Iain Arnell <iarnell@gmail.com> 0.58-1
- update to latest upstream version

* Fri May 18 2012 Iain Arnell <iarnell@gmail.com> 0.52-1
- update to latest upstream version

* Sat May 12 2012 Iain Arnell <iarnell@gmail.com> 0.48-1
- update to latest upstream version

* Sun Mar 25 2012 Iain Arnell <iarnell@gmail.com> 0.46-1
- update to latest upstream version

* Tue Feb 21 2012 Iain Arnell <iarnell@gmail.com> 0.44-1
- update to latest upstream version

* Tue Feb 07 2012 Iain Arnell <iarnell@gmail.com> 0.42-2
- tweak BuildRequires following review

* Sat Feb 04 2012 Iain Arnell <iarnell@gmail.com> 0.42-1
- Specfile autogenerated by cpanspec 1.79.
